Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Apr 2014, 21:08
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Common UNIX Printing System (CUPS) v1.3.11
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 5 [65 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Author Message
rcrsn51


Joined: 05 Sep 2006
Posts: 8565
Location: Stratford, Ontario

PostPosted: Thu 01 Apr 2010, 14:19    Post subject:  

Quote:
I've installed CUPS, ghostscript, the libtif package, and foomatic-rip (which is required by my driver).

I take it that all of these items are missing from Browserlinux?

The various parts of the CUPS printing chain need to be installed correctly as a group or the process fails. I would suggest that you get a standard Puppy like 4.3.1 and upgrade CUPS from here.

Once you have your printer working in that environment, you can go back to Browserlinux and try again.
Back to top
View user's profile Send private message 
petr7

Joined: 26 Apr 2010
Posts: 4

PostPosted: Mon 26 Apr 2010, 04:21    Post subject: v. large /var/cache/cups/ppds.dat  

Hi all,
I've tried following the instructions Smile

v1.3.11 of CUPS on puppy 4.3 and I still can't add a local printer.

the /var/cache/cups/ppds.dat file grows to 142.4 Meg - i can add the HP LaserJet, but it won't print the test page. Try to change the driver to one of the other two that match the printer and I get 100% cpu on the cups daemon.

Without a printer for a month now Embarassed

Petr
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8565
Location: Stratford, Ontario

PostPosted: Mon 26 Apr 2010, 08:48    Post subject:  

This sounds like some kind of corruption. I would do a fresh frugal install of Puppy 4.3.1 and following the instructions here.
Back to top
View user's profile Send private message 
petr7

Joined: 26 Apr 2010
Posts: 4

PostPosted: Mon 26 Apr 2010, 09:16    Post subject:  

I guess fresh install means more than replacing the initrd, pup431 and vmlinuz files as any problems will just get copied over in my pupsave file.

Thanks for the guidance though - far better to know I need to start again rather than trying to fix it.

Petr
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8565
Location: Stratford, Ontario

PostPosted: Mon 26 Apr 2010, 09:21    Post subject:  

If you are already using a frugal install, boot off the Live CD using the "puppy pfix=ram" argument.

Rename your current pupsave file to something else and start a new one.

Do the printer upgrades into the new pupsave file.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5459
Location: Finland

PostPosted: Mon 26 Apr 2010, 09:48    Post subject:  

petr7: You didnt mention what kind of HP Laserjet you have. My HP Laserjet 1020 works fine with most CUPS versions after foo2xxx_r220909-0.0-i486.pet installation. It has drivers for certain HP Laserjet versions. It also creates hotplugin folder which is needed at least for my printer. Firmware must be feeded to HP Laserjet 1020 printer with every printing and this package creates that.

Check here supported printers with this driver package: http://foo2zjs.rkkda.com/
Back to top
View user's profile Send private message 
petr7

Joined: 26 Apr 2010
Posts: 4

PostPosted: Tue 27 Apr 2010, 07:29    Post subject:  

Printer is now working fine... now lets see what happens when I copy over my home directory ....

BTW I had, at one point, a pdf writer on this machine. CUPS detects it but I don't see how to choose a "make" for it, and I thought I had to download a pet to get it last time.

Petr
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8565
Location: Stratford, Ontario

PostPosted: Tue 27 Apr 2010, 08:24    Post subject:  

CUPS 1.3.11 has a little trouble setting up the old Puppy PDF-Writer device. Initially, just pick any Generic PCL driver. Then go to Modify Printer. Now pick Raw and Raw Queue as the make and model.

For some reason, CUPS won't print a test page to this device. But I tried it with several applications and it worked OK.
Back to top
View user's profile Send private message 
charlie6

Joined: 30 Jun 2008
Posts: 940
Location: South of Belgium

PostPosted: Sat 08 May 2010, 03:22    Post subject:
Subject description: on cups 1.3.9 : usb communication device not present ? (SOLVED)
 

Hi rcrsn51,
many thanks for all your job !
SOLVED
[edited] I went just to solve this ! it is trivial:
- puppy has to be rebooted with pixma (or any usb device, I presume) already switched ON -

Wanting to install a Canon pixma MP160 on...Turbopup-Xtreme-v.1.0 (=puppy 4.20 derivative !):

I first apply your advice installing cups-1.3.9 + cupsd.conf.zip...OK!
Now I get a try installing my USB Canon Pixma MP160 Printer from CUPS...but cannot find the 'usb' among the list of communication devices (see snapshot attached).
I ran
Code:
# lpinfo -v
network socket
network beh
network http
network ipp
network lpd
direct parallel:/dev/lp0
file pdf-writer:/dev/null
direct scsi
serial serial:/dev/ttyS0?baud=115200
serial serial:/dev/ttyS1?baud=115200
network smb
#


These Pixma is already running as scanner on sane using the usb port...

So, what to do to get the usb device identified on cups ?

Many thanks for any answer

cheers, Charlie

[edited] after reboot:
Code:
# lpinfo -v
network socket
network beh
direct usb://Canon/MP160      <<<<< there it is !
network http
network ipp
network lpd
direct parallel:/dev/lp0
file pdf-writer:/dev/null
direct scsi
serial serial:/dev/ttyS0?baud=115200
serial serial:/dev/ttyS1?baud=115200
network smb
#
uri.png
 Description   cups devices list
 Filesize   22.45 KB
 Viewed   2199 Time(s)

uri.png

Back to top
View user's profile Send private message 
edoc


Joined: 07 Aug 2005
Posts: 4312
Location: Southeast Georgia, USA

PostPosted: Tue 12 Oct 2010, 09:21    Post subject:
Subject description: CUPS Foo - OK for Fatdog64?
 

Di we need a special version of fooxxx for HP printers under Fatdog64?
_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Tachikoma

Joined: 29 Dec 2010
Posts: 3

PostPosted: Wed 29 Dec 2010, 19:14    Post subject:  

I am new so let me know if my post should go somewhere else. Smile

I just updated cups to the latest version on my puppeee install and I have a new problem. When I try to print, it says:

"Unable to open file "/var/spool/cups/d00002-001" - Permission denied"

I tried changing the permissions as it was suggested in another thread, but I still get the same error. I also confirmed it was installed as root.

Any help would be appreciated. Thanks!
Back to top
View user's profile Send private message 
edoc


Joined: 07 Aug 2005
Posts: 4312
Location: Southeast Georgia, USA

PostPosted: Wed 29 Dec 2010, 19:25    Post subject:  

You want to be sure that Jemimah sees this so I'd post in a Puppeee or Fluppy 010 thread.
_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Tachikoma

Joined: 29 Dec 2010
Posts: 3

PostPosted: Wed 29 Dec 2010, 19:59    Post subject:  

edoc wrote:
You want to be sure that Jemimah sees this so I'd post in a Puppeee or Fluppy 010 thread.


I just posted in the puppeee forum where Jemimah is active, so we'll see. Smile Thanks.
Back to top
View user's profile Send private message 
HiDeHo

Joined: 16 Mar 2011
Posts: 285

PostPosted: Fri 10 Jun 2011, 04:01    Post subject:  

do these drivers work with the later puplets suck and lupu or wary.

they work in 431 i know that

edit i have started a post here [http://www.murga-linux.com/puppy/viewtopic.php?t=68740

Last edited by HiDeHo on Wed 15 Jun 2011, 03:05; edited 2 times in total
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8565
Location: Stratford, Ontario

PostPosted: Fri 10 Jun 2011, 05:09    Post subject:  

HiDeHo wrote:
do these drivers work with the later puplets suck and lupu or wary.

Have you read the sticky post at the start of the Printers section?

It's titled: How to Install Your Printer/Scanner in Lupu/Quirky/Wary.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 5 [65 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0727s ][ Queries: 13 (0.0096s) ][ GZIP on ]